# Dues for the Dead

## Versioning

COMPENDIUM Version 0.2.0
WORLD FILE 0.2.0

### Dependencies for World
Most of the Adventures are enhanced by the inclussion of some additional modules
Here is where you can go for more information, and the project's Manifest URLS
- [Dancing Lights](https://github.com/BlitzKraig/fvtt-DancingLights) - [Manifeset](https://raw.githubusercontent.com/BlitzKraig/fvtt-DancingLights/master/module.json)
- [Parallaxia](https://foundryvtt.com/packages/parallaxia/) - [Manifest](https://gitlab.com/reichler/parallaxia/raw/master/parallaxia/module.json)
- [Plutonium](https://get.5e.tools) - [Manifest](https://get.5e.tools/plutonium/module.json)
- [Token HUD Wildcard](https://raw.githubusercontent.com/javieros105/FVTT-TokenHUDWildcard/master/token-hud-wildcard/module.json)- for multi-sided tokens
- [Compendium Folders](https://foundryvtt.com/packages/compendium-folders/)- for multi-sided tokens - [Manifest](https://raw.githubusercontent.com/earlSt1/vtt-compendium-folders/0.1.5/module.json)
- [Multi-Level Tokens](https://github.com/grandseiken/foundryvtt-multilevel-tokens) - [Manifest](https://raw.githubusercontent.com/grandseiken/foundryvtt-multilevel-tokens/v0.3.0/module.json)

- Card Support [Manifest](https://github.com/spacemandev-git/fvtt-card-support/releases/download/latest/module.json)

---

## How to install it.

Best/Easiest is to install Plutonium; and use the import adventure -> enhanced the either **world** (for complete adventure to run asap); or **Module** (for the ability to select individual scenes/playlists); or just standard - to be able to pick what items/monsters/tables/spells/or text from the adventure.

see their Wiki. wiki.5e.tools -> Plutonium features -> Import a world.

#### Manually installing as a world/module ####

This has been built as a world & module (collection of compendia) for this adventure.  It manually install it, navigate to the zip file (found in the world.json or module.json under the download field.  copy and paste that into a browser and accept that downloaded zip file.

Depending upon your installation; Operating system or customization this next part differs, but you will need to take the provided zip and unzip it into the root of either the worlds or modules directory.  It will unzip and build out the relevant directories/etc - DO NOT change or edit the named folders.  That will break the world/module and Foundry will not recognize it.

---

## ChangeLog

- v0.2.0 - 18/09/2020 - Added Multi-sided token token support; began adding support for pick up stix; Converting from teleport to Multi-level tokens; Moved to webp primarily; 

- v0.1.2 - 14/08/2020 - Ran Script for Actor Bar 2 modification; Added [Token HUD Wildcard](https://raw.githubusercontent.com/javieros105/FVTT-TokenHUDWildcard/master/token-hud-wildcard/module.json) Dependency - for multi-sided tokens; removed some duplicate images behind the layers. continued some Images optimization/reduction of sizes (working to reduce size); Better Credits Page - moved into the Journal for accessibility. Updated to DnD system 0.95. Dependency checks on world load.
- v0.1.1 - 25/07/2020 - Updated to DnD system 0.94. Removed Tab prefix to overcome Beyond20 failing. Applied Tim Posney's excellent [**Merge Walls**](https://gitlab.com/tposney/mergewalls/tree/master) to address issues with the Roll20 exports (stacking walls and points creating unneeded additional walls/vertices to try to factor off for Lighting)
- v0.1.0 - 10/07/2020 - Combined Module & World files into single deployment; added finddependencies.js script; Linked Scenes to journal entries. Updated to DnD system 0.94. Removed Tab prefix to overcome Beyond20 failing.
- v0.0.8 - 28/06/2020 - Added Dancing Light for candles/fires; Used alternativeUpdated maps IMR;  Updated to DnD system 0.94.
- v0.0.7 - 28/06/2020 - Started using [**Parallaxia**](https://foundryvtt.com/packages/parallaxia/) to add visual effects (rolling waves/train moving/fog rolling in) 
 - GoS; KKR; COS;  and some others to create motion effects.
- v0.0.6 - 14/06/2020 - Started redefining Maps with significant number of walls which caused issues with performance on older machines (ie use a X versus 20+ walls to define a circle/pilar - invisible walls for portcullis/jail cells versus multiple small walls.) 
- v0.0.5 - 11/06/2020 - Updated teleport configuration to remove the PRIOR token so players still on floor x don't see what appears to be a glitched / dead token atop the stairs; versus the token becoming hidden to emulate them leaving.
- v0.0.4 - 09/06/2020 - > removing the unneeded extra bar on tokens; Using Telelport link stairs between levels for player nagivation
- v0.0.3 - 22/05/2020 - Added Fireplace Crackle to fireplaces/Tavern/Town Ambient Noises
- v0.0.2 - 02/05/2020 - re-Assigned Walls and assigned Windows and Doors. Fixed bad imports and replaced some maps. Remove token sheets from navigation bar (Unnecessary). 
- v0.0.1 - 26/04/2020 - Converted World and Module build from Roll20 with [KaKaRaTo's R20Converter](https://www.patreon.com/kakaroto/) 


### DISCLAIMER

**DISCLAIMER:** The use of this tool is meant for use for your own campaigns. It is only meant and should only be used on with content that you legally possess. Using it outside of that may be against the [FOUNDRY Virtual Tabletop EULA](https://foundryvtt.com/article/license/) or Terms of Service with your Virtual hosting service. 

---

### FEEDBACK

Want to suggest changes or Improvements? Notify of errors? 
Want to translate it? Provide add-ons?

Please do. 

Connect with the community - https://discord.gg/nGvRCDs
